# $Id: perl-DateTime-Calendar-Christian.spec 2975 2005-03-09 05:31:45Z dag $
# Authority: dries
# Upstream: Eugene van der Pijll <pijll$gmx,net>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name DateTime-Calendar-Christian

Summary: Dates in the Christian calendar
Name: perl-DateTime-Calendar-Christian
Version: 0.04
Release: 4%{?dist}
License: Artistic
# Group: Applications/CPAN
Group: Development/Libraries
URL: http://search.cpan.org/dist/DateTime-Calendar-Christian/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/DateTime/DateTime-Calendar-Christian-%{version}.tar.gz
Patch0: perl-DateTime-Calendar-Christian-0.04-datetimever.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl, perl(ExtUtils::MakeMaker)

%description
This module implements the Christian calendar, which consists of both
the Julian and the Gregorian calendars.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p 1
# -b .datetimever

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README Changes
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/DateTime/
%dir %{perl_vendorlib}/DateTime/Calendar/
%{perl_vendorlib}/DateTime/Calendar/Christian.pm

%changelog
* Tue Dec 07 2004 Dries Verachtert <dries@ulyssis.org> - 0.04-1
- Initial package.
